﻿using System.Windows;
using System.Collections.Generic;
using System;

namespace wpf_ChartView_1043594
{
    public partial class MainWindow : Window
    {
        List<MyRowItem> items;

        public MainWindow()
        {
            InitializeComponent();


            this.items = new List<MyRowItem>();
            for (int i = 0; i < 30; i++)
            {
                this.items.Add(this.GenerateRowItem(i));
            }
            this.DataContext = this.items;
        }

        private MyRowItem GenerateRowItem(int i)
        {
            MyRowItem item = new MyRowItem();
            item.RowTitle = "row " + i;
            item.ChartData = this.GenerateChartData(i);

            return item;
        }

        private List<PlotInfo> GenerateChartData(int rowIndex)
        {
            List<PlotInfo> data = new List<PlotInfo>();
            Random r = new Random();

            for (int i = 0; i < 20; i++)
            {
                data.Add(new PlotInfo { XCat = "x" + i, YVal = rowIndex * 10 + r.Next(0, 10) });
            }

            return data;
        }
    }
}
